#include "args.h"
/*
 * Copyright (c) 1986, 1990 by The Trustees of Columbia University in
 * the City of New York.  Permission is granted to any individual or
 * institution to use, copy, or redistribute this software so long as it
 * is not sold for profit, provided this copyright notice is retained.
 */

#ifndef lint
static const char *rcsid = "$Header: /usr/local/src/mm/mm-0.94/mm/RCS/argsort.c,v 1.2 2005/05/28 22:27:14 beebe Exp $";
#endif

#include "args.h"
#include <stdio.h>

#if HAVE_STDC
#include <stdlib.h>
#include <string.h>
#else
extern void qsort ARGS((void *, size_t, size_t,
	int (*)(const void *, const void *)));
#endif
#define QSORT_FUN_TYPE int (*) ARGS((const void *, const void *))

int main ARGS((int argc, char **argv));
static int xstrcmp ARGS((char **a, char **b));

int
#if HAVE_STDC
main(int argc, char **argv)
#else /* K&R style */
main(argc,argv)
int argc;
char **argv;
#endif /* HAVE_STDC */
{
    int i;

    argc--, argv++;
    qsort(argv,argc,sizeof(char *), (QSORT_FUN_TYPE)xstrcmp);
    for(i = 0; i < argc; i++)
	printf("%s ", argv[i]);
    printf("\n");
    return(0);
}

static int
#if HAVE_STDC
xstrcmp(char **a, char **b)
#else /* K&R style */
xstrcmp(a,b)
char **a,**b;
#endif /* HAVE_STDC */
{
    return(strcmp(*a,*b));
}
