#include "args.h"
#include "config.h"
/*
 * Copyright (c) 1986, 1990 by The Trustees of Columbia University in
 * the City of New York.  Permission is granted to any individual or
 * institution to use, copy, or redistribute this software so long as it
 * is not sold for profit, provided this copyright notice is retained.
 */

#ifndef lint
static const char *rcsid = "$Header: /usr/local/src/mm/mm-0.94/mm/RCS/mh.c,v 1.1 2005/05/28 22:27:52 beebe Exp $";
#endif

/* mh.c: routines to handle mh type mail files */

#include "mm.h"

int
#if HAVE_STDC
mh_open (msgvec *mail)
#else /* K&R style */
mh_open (mail)
msgvec *mail;
#endif /* HAVE_STDC */
{
    printf ("mh format not supported yet\n");
    return(false);			/* let them know we failed */
}

int
#if HAVE_STDC
mh_probe (const char *file)
#else /* K&R style */
mh_probe (file)
const char *file;
#endif /* HAVE_STDC */
{
    return (false);
}
/* things to be done */

int
#if HAVE_STDC
mh_close (FILE *fp)
#else /* K&R style */
mh_close (fp)
FILE *fp;
#endif /* HAVE_STDC */
{
    return(false);			/* let them know we failed */
}

int
#if HAVE_STDC
mh_rdmsg (void) {
#else /* K&R style */
mh_rdmsg (VOID) {
#endif /* HAVE_STDC */
    return(false);			/* let them know we failed */
}

int
#if HAVE_STDC
mh_wrmsg (void) {
#else /* K&R style */
mh_wrmsg (VOID) {
#endif /* HAVE_STDC */
    return(false);			/* let them know we failed */
}
