#include "args.h"
#include "config.h"
/*
 * Copyright (c) 1986, 1990 by The Trustees of Columbia University in
 * the City of New York.  Permission is granted to any individual or
 * institution to use, copy, or redistribute this software so long as it
 * is not sold for profit, provided this copyright notice is retained.
 */

#ifndef lint
static const char *rcsid = "$Header: /usr/local/src/mm/mm-0.94/mm/RCS/pop3.c,v 1.1 2005/05/28 22:27:52 beebe Exp $";
#endif

/* pop3.c: read Columbia's special pop-3 format remote mail */

#include "mm.h"				/* need defn of FILE */

int
#if HAVE_STDC
pop3_open (msgvec *mail)
#else /* K&R style */
pop3_open (mail)
msgvec *mail;
#endif /* HAVE_STDC */
{
    printf ("pop2 format not supported yet\n");
    return(false);			/* let them know we failed */
}

int
#if HAVE_STDC
pop3_close (FILE *fp)
#else /* K&R style */
pop3_close (fp)
FILE *fp;
#endif /* HAVE_STDC */
{
    return(false);			/* let them know we failed */
}

int
#if HAVE_STDC
pop3_rdmsg (void)
#else /* K&R style */
pop3_rdmsg (VOID)
#endif /* HAVE_STDC */
{
    return(false);			/* let them know we failed */
}

int
#if HAVE_STDC
pop3_wrmsg (void)
#else /* K&R style */
pop3_wrmsg (VOID)
#endif /* HAVE_STDC */
{
    return(false);			/* let them know we failed */
}

/*
 * probe file to see if it's in pop3 format
 * I don't know what this means yet...
 */
int
#if HAVE_STDC
pop3_probe (const char *file)
#else /* K&R style */
pop3_probe (file)
const char *file;
#endif /* HAVE_STDC */
{
    return (false);			/* naah... */
}
