#include "config.h"
/*
 Copyright (c) 1986, 1990 by The Trustees of Columbia University in
 the City of New York.  Permission is granted to any individual or
 institution to use, copy, or redistribute this software so long as it
 is not sold for profit, provided this copyright notice is retained.

 Author: Howie Kaye
*/

#include "args.h"
#include <stdio.h>
#include "cmver.h"

static int cm_major_version = MAJORVERSION;
static int cm_minor_version = MINORVERSION;
static const char *cm_version_date = VERSIONDATE;

char *
cm_version(VOID)
{
  static char buf[100];

  sprintf(buf,"CCMD Version %d.%d of %s", cm_major_version,
		cm_minor_version, cm_version_date);
  return(buf);
}

int
cm_major(VOID)
{
  return(cm_major_version);
}

int
cm_minor(VOID)
{
  return(cm_minor_version);
}
