#ifndef KEYTAB_H_
#define KEYTAB_H_

/*
 * Copyright (c) 1986, 1990 by The Trustees of Columbia University in
 * the City of New York.  Permission is granted to any individual or
 * institution to use, copy, or redistribute this software so long as it
 * is not sold for profit, provided this copyright notice is retained.
 */

#ifdef RCSID
#ifndef lint
static const char *keytab_rcsid = "$Header: /usr/local/src/mm/mm-0.94/mm/RCS/keytab.h,v 1.1 2005/05/28 22:27:51 beebe Exp $";
#endif
#endif /* RCSID */

#include "ccmd.h"

/* These functions have argument data types defined in the command
   parser package, ccmd. */

extern char *parse_keyword ARGS((keytab *kt_, int nothing_));
extern int parse_sequence ARGS((const char *def_, fdb *chn_, fdb **altused_));
extern keytab *keylist_to_keytab ARGS((keylist kl_));
extern keytab *mk_alias_keys ARGS((void));
extern time_t datimetogmt ARGS((datime *d_));
extern void brkch ARGS((brktab *p_, unsigned char *s_, unsigned char *s2_));
extern void printfdb ARGS((fdb *fdbs_));
extern void unbrk ARGS((brktab *p_, unsigned char *s_));

#endif /* KEYTAB_H_ */
